Bug 1200404 - ghc package needs source update for ppc64le/aarch64
Summary: ghc package needs source update for ppc64le/aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ghc
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64 epel7ppc64le 1323763 1395283
TreeView+ depends on / blocked
 
Reported: 2015-03-10 13:48 UTC by Menanteau Guy
Modified: 2017-01-12 03:19 UTC (History)
5 users (show)

Fixed In Version: ghc-7.6.3-26.4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 03:19:47 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2015-03-10 13:48:16 UTC
Source package ghc-7.6.3-18.3 and all ghc-xxx packages used by EPEL7 do not support ppc64le (little endian).
newer versions supporting this architecture should be used instead.

Comment 1 Yaakov Selkowitz 2015-11-26 01:14:47 UTC
Same applies to aarch64.  A merge from f21 should include the necessary patches for both arches without a complete rebase of ghc in epel7.

Comment 2 Yaakov Selkowitz 2016-04-27 18:31:07 UTC
Jens,

Given the delicate nature of ghc, would merging from F21 (same version, just more patches) cause any ABI issues?

Comment 3 Jens Petersen 2016-05-19 09:50:29 UTC
That would probably work.  I am also try to take a look at this.

Comment 4 Jens Petersen 2016-06-09 09:11:11 UTC
Okay I have prepared the backport: I basically synced f21 to epel7 HEAD:

http://pkgs.fedoraproject.org/cgit/rpms/ghc.git/commit/?h=epel7&id=ae6fe15573867229fae670678f379f1173c92581

I am currently building and testing it locally - if it looks good I will push it to koji so it can get more testing.  Maybe good if you can try to build it for aarch64 and ppc64le too.

Comment 5 Jens Petersen 2016-06-10 04:20:02 UTC
Okay so of course this won't build yet in epel7 koji since we have not bootstrapped ghc there yet for ppc64le. The simplest thing would be to
tag the F21 ghc package into the EPEL7 buildroot.

I can do a bootstrap ghc-rpm-macros build to allow it to build.
hscolour will also need to be built.

(See also bug 1193178, but %ghc_arches is actually mostly deprecated now and both the new arches do not have ghci so %ghc_arches_with_ghci, so actually
this bug has little affect any more.)

Comment 6 Jens Petersen 2016-07-15 10:31:04 UTC
(http://koji.fedoraproject.org/koji/taskinfo?taskID=14444161 [Jun 10])

Comment 7 Jens Petersen 2016-08-05 09:26:59 UTC
I opened a releng ticket about the bootstrap last week:

https://pagure.io/releng/issue/93

Comment 8 Jens Petersen 2016-10-27 08:11:34 UTC
ghc-7.6.3-26.4.el7 has been built in epel7-ghc.

Comment 9 Fedora Update System 2016-12-09 06:00:09 UTC
xmonad-0.11-12.el7 shake-0.11.4-4.el7 pandoc-citeproc-0.3.0.1-3.el7 pandoc-1.12.3.1-2.el7 idris-0.9.9.1-2.el7 hscolour-1.20.3-9.el7 hlint-1.8.50-2.el7 haskell-platform-2013.2.0.0-40.el7 happy-1.18.10-35.el7 gtk2hs-buildtools-0.13.0.1-1.el7 git-annex-5.20140221-1.2.el7 ghc-zlib-0.5.4.1-27.el7 ghc-zip-archive-0.1.3.4-3.el7 ghc-yaml-0.8.5.3-2.el7 ghc-xmonad-contrib-0.11.2-4.el7 ghc-xml-types-0.3.3-4.el7 ghc-xml-1.3.13-2.el7 ghc-xdg-basedir-0.2.2-5.el7 ghc-word8-0.0.4-2.el7 ghc-warp-1.3.8.2-1.el7 ghc-wai-1.4.0.1-2.el7 ghc-void-0.5.11-3.el7 ghc-vector-binary-instances-0.2.1.0-3.el7 ghc-vector-0.10.0.1-7.el7 ghc-vault-0.2.0.4-3.el7 ghc-uuid-1.2.13-2.el7 ghc-utf8-string-0.3.7-8.el7 ghc-unordered-containers-0.2.3.0-3.el7 ghc-unix-time-0.1.8-1.el7 ghc-unix-compat-0.4.1.1-2.el7 ghc-uniplate-1.6.10-5.el7 ghc-transformers-compat-0.3.3.4-3.el7 ghc-transformers-base-0.4.1-9.el7 ghc-transformers-0.3.0.0-34.el7 ghc-threads-0.5.1.1-1.el7 ghc-tf-random-0.5-4.el7 ghc-text-0.11.3.1-2.el7 ghc-texmath-0.6.6-2.el7 ghc-terminfo-0.3.2.5-4.el7 ghc-temporary-1.1.2.4-4.el7 ghc-tar-0.4.0.1-4.el7 ghc-tagsoup-0.12.8-4.el7 ghc-tagged-0.6-2.el7 ghc-system-filepath-0.4.7-2.el7 ghc-system-fileio-0.3.11-2.el7 ghc-syb-0.4.0-35.el7 ghc-streaming-commons-0.1.2-1.el7 ghc-stm-chans-3.0.0.2-2.el7 ghc-stm-2.4.2-26.el7 ghc-split-0.2.2-2.el7 ghc-simple-sendfile-0.2.11-3.el7 ghc-shelly-1.5.0.1-2.el7 ghc-shakespeare-js-1.1.4.1-3.el7 ghc-shakespeare-1.0.5.1-2.el7 ghc-setenv-0.1.0-3.el7 ghc-sendfile-0.7.9-1.el7 ghc-semigroups-0.8.5-3.el7 ghc-scientific-0.2.0.2-2.el7 ghc-safe-0.3.3-8.el7 ghc-rpm-macros-1.0.10-1.el7 ghc-rfc5051-0.1.0.3-2.el7 ghc-resourcet-0.4.6-2.el7 ghc-regex-tdfa-1.1.8-11.el7 ghc-regex-posix-0.95.2-30.el7 ghc-regex-compat-0.95.1-35.el7 ghc-regex-base-0.93.2-29.el7 ghc-reflection-1.4-2.el7 ghc-random-1.0.1.1-27.el7 ghc-publicsuffixlist-0.1-2.el7 ghc-primitive-0.5.0.1-4.el7 ghc-polyparse-1.11-2.el7 ghc-pcre-light-0.4-13.el7 ghc-pattern-arrows-0.0.2-2.el7 ghc-parsec-3.1.3-31.el7 ghc-parallel-3.2.0.3-35.el7 ghc-pango-0.12.5.0-2.el7 ghc-pandoc-types-1.12.3.1-3.el7 ghc-optparse-applicative-0.11.0.1-4.el7 ghc-network-conduit-1.0.0-2.el7 ghc-network-2.4.1.2-32.el7 ghc-nats-0.1.2-2.el7 ghc-mtl-2.1.2-27.el7 ghc-monads-tf-0.1.0.2-2.el7 ghc-monad-unify-0.2.2-2.el7 ghc-monad-loops-0.4.2.1-2.el7 ghc-monad-control-0.3.2.1-2.el7 ghc-mmap-0.5.8-4.el7 ghc-mime-types-0.1.0.4-2.el7 ghc-maccatcher-2.1.5-2.el7 ghc-lrucache-1.1.1.3-3.el7 ghc-lifted-base-0.2.1.0-2.el7 ghc-libxml-sax-0.7.4-3.el7 ghc-libffi-0.1-3.el7 ghc-language-java-0.2.4-3.el7 ghc-json-0.7-4.el7 ghc-http-types-0.8.0-3.el7 ghc-http-date-0.0.4-2.el7 ghc-html-1.0.1.2-29.el7 ghc-hslua-0.3.10-1.1.el7 ghc-hslogger-1.2.1-2.el7 ghc-hs-bibutils-5.0-2.el7 ghc-hint-0.4.2.0-3.el7 ghc-hinotify-0.3.5-4.el7 ghc-highlighting-kate-0.5.6-3.el7 ghc-haskell-src-exts-1.13.5-5.el7 ghc-haskeline-0.7.0.3-3.el7 ghc-hashtables-1.0.1.8-4.el7 ghc-hashed-storage-0.5.10-7.el7 ghc-hashable-1.1.2.5-4.el7 ghc-happstack-server-7.1.0-1.el7 ghc-haddock-library-1.1.1-2.el7 ghc-gtk-0.12.5.0-1.2.el7 ghc-glib-0.12.5.0-2.el7 ghc-gio-0.12.5.0-5.el7 ghc-ghc-paths-0.1.0.9-2.el7 ghc-ghc-mtl-1.2.1.0-2.el7 ghc-geniplate-0.6.0.3-3.el7 ghc-fsnotify-0.0.11-1.el7 ghc-filemanip-0.3.6.3-1.el7 ghc-fast-logger-0.3.1-3.el7 ghc-extensible-exceptions-0.1.1.4-13.el7 ghc-exceptions-0.6.1-2.el7 ghc-entropy-0.2.2.4-2.el7 ghc-edit-distance-0.2.1.2-3.el7 ghc-dlist-0.5-11.el7 ghc-digest-0.0.1.2-2.el7 ghc-derive-2.5.11-4.el7 ghc-deepseq-generics-0.1.1.2-2.el7 ghc-dbus-0.10.7-3.el7 ghc-date-cache-0.3.0-4.el7 ghc-dataenc-0.14.0.5-3.el7 ghc-data-hash-0.2.0.0-2.el7 ghc-data-default-0.5.1-4.el7 ghc-cryptohash-0.9.0-3.el7 ghc-crypto-api-0.11-4.el7 ghc-conduit-1.0.3-2.el7 ghc-concrete-typerep-0.1.0.2-3.el7 ghc-cmdtheline-0.2.3-2.el7 ghc-cmdargs-0.10.3-4.el7 ghc-cereal-0.3.5.2-7.el7 ghc-cautious-file-1.0.2-3.el7 ghc-case-insensitive-1.0.0.1-2.el7 ghc-cairo-0.12.5.0-2.el7 ghc-boxes-0.1.4-2.el7 ghc-bloomfilter-1.2.6.10-6.el7 ghc-blaze-markup-0.5.1.5-3.el7 ghc-blaze-html-0.6.1.1-2.el7 ghc-blaze-builder-conduit-1.0.0-2.el7 ghc-blaze-builder-0.3.1.1-2.el7 ghc-base64-bytestring-1.0.0.1-3.el7 ghc-base-unicode-symbols-0.2.2.4-4.el7 ghc-attoparsec-0.10.4.0-2.el7 ghc-async-2.0.1.4-30.el7 ghc-ansi-wl-pprint-0.6.7.1-3.el7 ghc-ansi-terminal-0.6-3.el7 ghc-aeson-pretty-0.7.1-2.el7 ghc-aeson-0.6.2.1-3.el7 ghc-X11-xft-0.3.1-11.el7 ghc-X11-1.6.1.1-3.el7 ghc-SafeSemaphore-0.9.0-2.el7 ghc-STMonadTrans-0.3.2-2.el7 ghc-SHA-1.6.1-3.el7 ghc-QuickCheck-2.6-33.el7 ghc-MonadCatchIO-transformers-0.3.0.0-7.el7 ghc-MissingH-1.2.0.0-4.el7 ghc-JuicyPixels-3.2.2-2.el7 ghc-IfElse-0.85-3.el7 ghc-HUnit-1.2.5.2-32.el7 ghc-HTTP-4000.2.8-33.el7 ghc-Diff-0.3.0-3.el7 ghc-7.6.3-26.4.el7 darcs-2.8.4-4.el7 cpphs-1.16-6.el7 cabal-rpm-0.9.10-1.el7 cabal-install-1.16.1.0-2.el7 cabal-dev-0.9.2-2.el7 alex-3.0.5-37.el7 Agda-2.3.2.2-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25cbafa070

Comment 10 Fedora Update System 2016-12-10 05:53:44 UTC
Agda-2.3.2.2-4.el7, alex-3.0.5-37.el7, cabal-dev-0.9.2-2.el7, cabal-install-1.16.1.0-2.el7, cabal-rpm-0.9.10-1.el7, cpphs-1.16-6.el7, darcs-2.8.4-4.el7, ghc-7.6.3-26.4.el7, ghc-Diff-0.3.0-3.el7, ghc-HTTP-4000.2.8-33.el7, ghc-HUnit-1.2.5.2-32.el7, ghc-IfElse-0.85-3.el7, ghc-JuicyPixels-3.2.2-2.el7, ghc-MissingH-1.2.0.0-4.el7, ghc-MonadCatchIO-transformers-0.3.0.0-7.el7, ghc-QuickCheck-2.6-33.el7, ghc-SHA-1.6.1-3.el7, ghc-STMonadTrans-0.3.2-2.el7, ghc-SafeSemaphore-0.9.0-2.el7, ghc-X11-1.6.1.1-3.el7, ghc-X11-xft-0.3.1-11.el7, ghc-aeson-0.6.2.1-3.el7, ghc-aeson-pretty-0.7.1-2.el7, ghc-ansi-terminal-0.6-3.el7, ghc-ansi-wl-pprint-0.6.7.1-3.el7, ghc-async-2.0.1.4-30.el7, ghc-attoparsec-0.10.4.0-2.el7, ghc-base-unicode-symbols-0.2.2.4-4.el7, ghc-base64-bytestring-1.0.0.1-3.el7, ghc-blaze-builder-0.3.1.1-2.el7, ghc-blaze-builder-conduit-1.0.0-2.el7, ghc-blaze-html-0.6.1.1-2.el7, ghc-blaze-markup-0.5.1.5-3.el7, ghc-bloomfilter-1.2.6.10-6.el7, ghc-boxes-0.1.4-2.el7, ghc-cairo-0.12.5.0-2.el7, ghc-case-insensitive-1.0.0.1-2.el7, ghc-cautious-file-1.0.2-3.el7, ghc-cereal-0.3.5.2-7.el7, ghc-cmdargs-0.10.3-4.el7, ghc-cmdtheline-0.2.3-2.el7, ghc-concrete-typerep-0.1.0.2-3.el7, ghc-conduit-1.0.3-2.el7, ghc-crypto-api-0.11-4.el7, ghc-cryptohash-0.9.0-3.el7, ghc-data-default-0.5.1-4.el7, ghc-data-hash-0.2.0.0-2.el7, ghc-dataenc-0.14.0.5-3.el7, ghc-date-cache-0.3.0-4.el7, ghc-dbus-0.10.7-3.el7, ghc-deepseq-generics-0.1.1.2-2.el7, ghc-derive-2.5.11-4.el7, ghc-digest-0.0.1.2-2.el7, ghc-dlist-0.5-11.el7, ghc-edit-distance-0.2.1.2-3.el7, ghc-entropy-0.2.2.4-2.el7, ghc-exceptions-0.6.1-2.el7, ghc-extensible-exceptions-0.1.1.4-13.el7, ghc-fast-logger-0.3.1-3.el7, ghc-filemanip-0.3.6.3-1.el7, ghc-fsnotify-0.0.11-1.el7, ghc-geniplate-0.6.0.3-3.el7, ghc-ghc-mtl-1.2.1.0-2.el7, ghc-ghc-paths-0.1.0.9-2.el7, ghc-gio-0.12.5.0-5.el7, ghc-glib-0.12.5.0-2.el7, ghc-gtk-0.12.5.0-1.2.el7, ghc-haddock-library-1.1.1-2.el7, ghc-happstack-server-7.1.0-1.el7, ghc-hashable-1.1.2.5-4.el7, ghc-hashed-storage-0.5.10-7.el7, ghc-hashtables-1.0.1.8-4.el7, ghc-haskeline-0.7.0.3-3.el7, ghc-haskell-src-exts-1.13.5-5.el7, ghc-highlighting-kate-0.5.6-3.el7, ghc-hinotify-0.3.5-4.el7, ghc-hint-0.4.2.0-3.el7, ghc-hs-bibutils-5.0-2.el7, ghc-hslogger-1.2.1-2.el7, ghc-hslua-0.3.10-1.1.el7, ghc-html-1.0.1.2-29.el7, ghc-http-date-0.0.4-2.el7, ghc-http-types-0.8.0-3.el7, ghc-json-0.7-4.el7, ghc-language-java-0.2.4-3.el7, ghc-libffi-0.1-3.el7, ghc-libxml-sax-0.7.4-3.el7, ghc-lifted-base-0.2.1.0-2.el7, ghc-lrucache-1.1.1.3-3.el7, ghc-maccatcher-2.1.5-2.el7, ghc-mime-types-0.1.0.4-2.el7, ghc-mmap-0.5.8-4.el7, ghc-monad-control-0.3.2.1-2.el7, ghc-monad-loops-0.4.2.1-2.el7, ghc-monad-unify-0.2.2-2.el7, ghc-monads-tf-0.1.0.2-2.el7, ghc-mtl-2.1.2-27.el7, ghc-nats-0.1.2-2.el7, ghc-network-2.4.1.2-32.el7, ghc-network-conduit-1.0.0-2.el7, ghc-optparse-applicative-0.11.0.1-4.el7, ghc-pandoc-types-1.12.3.1-3.el7, ghc-pango-0.12.5.0-2.el7, ghc-parallel-3.2.0.3-35.el7, ghc-parsec-3.1.3-31.el7, ghc-pattern-arrows-0.0.2-2.el7, ghc-pcre-light-0.4-13.el7, ghc-polyparse-1.11-2.el7, ghc-primitive-0.5.0.1-4.el7, ghc-publicsuffixlist-0.1-2.el7, ghc-random-1.0.1.1-27.el7, ghc-reflection-1.4-2.el7, ghc-regex-base-0.93.2-29.el7, ghc-regex-compat-0.95.1-35.el7, ghc-regex-posix-0.95.2-30.el7, ghc-regex-tdfa-1.1.8-11.el7, ghc-resourcet-0.4.6-2.el7, ghc-rfc5051-0.1.0.3-2.el7, ghc-rpm-macros-1.0.10-1.el7, ghc-safe-0.3.3-8.el7, ghc-scientific-0.2.0.2-2.el7, ghc-semigroups-0.8.5-3.el7, ghc-sendfile-0.7.9-1.el7, ghc-setenv-0.1.0-3.el7, ghc-shakespeare-1.0.5.1-2.el7, ghc-shakespeare-js-1.1.4.1-3.el7, ghc-shelly-1.5.0.1-2.el7, ghc-simple-sendfile-0.2.11-3.el7, ghc-split-0.2.2-2.el7, ghc-stm-2.4.2-26.el7, ghc-stm-chans-3.0.0.2-2.el7, ghc-streaming-commons-0.1.2-1.el7, ghc-syb-0.4.0-35.el7, ghc-system-fileio-0.3.11-2.el7, ghc-system-filepath-0.4.7-2.el7, ghc-tagged-0.6-2.el7, ghc-tagsoup-0.12.8-4.el7, ghc-tar-0.4.0.1-4.el7, ghc-temporary-1.1.2.4-4.el7, ghc-terminfo-0.3.2.5-4.el7, ghc-texmath-0.6.6-2.el7, ghc-text-0.11.3.1-2.el7, ghc-tf-random-0.5-4.el7, ghc-threads-0.5.1.1-1.el7, ghc-transformers-0.3.0.0-34.el7, ghc-transformers-base-0.4.1-9.el7, ghc-transformers-compat-0.3.3.4-3.el7, ghc-uniplate-1.6.10-5.el7, ghc-unix-compat-0.4.1.1-2.el7, ghc-unix-time-0.1.8-1.el7, ghc-unordered-containers-0.2.3.0-3.el7, ghc-utf8-string-0.3.7-8.el7, ghc-uuid-1.2.13-2.el7, ghc-vault-0.2.0.4-3.el7, ghc-vector-0.10.0.1-7.el7, ghc-vector-binary-instances-0.2.1.0-3.el7, ghc-void-0.5.11-3.el7, ghc-wai-1.4.0.1-2.el7, ghc-warp-1.3.8.2-1.el7, ghc-word8-0.0.4-2.el7, ghc-xdg-basedir-0.2.2-5.el7, ghc-xml-1.3.13-2.el7, ghc-xml-types-0.3.3-4.el7, ghc-xmonad-contrib-0.11.2-4.el7, ghc-yaml-0.8.5.3-2.el7, ghc-zip-archive-0.1.3.4-3.el7, ghc-zlib-0.5.4.1-27.el7, git-annex-5.20140221-1.2.el7, gtk2hs-buildtools-0.13.0.1-1.el7, happy-1.18.10-35.el7, haskell-platform-2013.2.0.0-40.el7, hlint-1.8.50-2.el7, hscolour-1.20.3-9.el7, idris-0.9.9.1-2.el7, pandoc-1.12.3.1-2.el7, pandoc-citeproc-0.3.0.1-3.el7, shake-0.11.4-4.el7, xmonad-0.11-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25cbafa070

Comment 11 Fedora Update System 2016-12-27 06:03:50 UTC
alex-3.0.5-37.el7 cabal-dev-0.9.2-2.el7 cabal-install-1.16.1.0-2.el7 cabal-rpm-0.9.10-1.el7 cpphs-1.16-6.el7 darcs-2.8.4-4.el7 ghc-7.6.3-26.4.el7 ghc-Diff-0.3.0-3.el7 ghc-HTTP-4000.2.8-33.el7 ghc-HUnit-1.2.5.2-32.el7 ghc-IfElse-0.85-3.el7 ghc-JuicyPixels-3.2.2-2.el7 ghc-MissingH-1.2.0.0-4.el7 ghc-MonadCatchIO-transformers-0.3.0.0-7.el7 ghc-QuickCheck-2.6-33.el7 ghc-SHA-1.6.1-3.el7 ghc-STMonadTrans-0.3.2-2.el7 ghc-SafeSemaphore-0.9.0-2.el7 ghc-X11-1.6.1.1-3.el7 ghc-X11-xft-0.3.1-11.el7 ghc-aeson-0.6.2.1-3.el7 ghc-aeson-pretty-0.7.1-2.el7 ghc-ansi-terminal-0.6-3.el7 ghc-ansi-wl-pprint-0.6.7.1-3.el7 ghc-async-2.0.1.4-30.el7 ghc-attoparsec-0.10.4.0-2.el7 ghc-base-unicode-symbols-0.2.2.4-4.el7 ghc-base64-bytestring-1.0.0.1-3.el7 ghc-blaze-builder-0.3.1.1-2.el7 ghc-blaze-builder-conduit-1.0.0-2.el7 ghc-blaze-html-0.6.1.1-2.el7 ghc-blaze-markup-0.5.1.5-3.el7 ghc-bloomfilter-1.2.6.10-6.el7 ghc-boxes-0.1.4-2.el7 ghc-cairo-0.12.5.0-2.el7 ghc-case-insensitive-1.0.0.1-2.el7 ghc-cautious-file-1.0.2-3.el7 ghc-cereal-0.3.5.2-7.el7 ghc-cmdargs-0.10.3-4.el7 ghc-cmdtheline-0.2.3-2.el7 ghc-concrete-typerep-0.1.0.2-3.el7 ghc-conduit-1.0.3-2.el7 ghc-crypto-api-0.11-4.el7 ghc-cryptohash-0.9.0-3.el7 ghc-data-default-0.5.1-4.el7 ghc-data-hash-0.2.0.0-2.el7 ghc-dataenc-0.14.0.5-3.el7 ghc-date-cache-0.3.0-4.el7 ghc-dbus-0.10.7-3.el7 ghc-deepseq-generics-0.1.1.2-2.el7 ghc-derive-2.5.11-4.el7 ghc-digest-0.0.1.2-2.el7 ghc-dlist-0.5-11.el7 ghc-edit-distance-0.2.1.2-3.el7 ghc-entropy-0.2.2.4-2.el7 ghc-exceptions-0.6.1-2.el7 ghc-extensible-exceptions-0.1.1.4-13.el7 ghc-fast-logger-0.3.1-3.el7 ghc-filemanip-0.3.6.3-1.el7 ghc-fsnotify-0.0.11-1.el7 ghc-geniplate-0.6.0.3-3.el7 ghc-ghc-mtl-1.2.1.0-2.el7 ghc-ghc-paths-0.1.0.9-2.el7 ghc-gio-0.12.5.0-5.el7 ghc-glib-0.12.5.0-2.el7 ghc-gtk-0.12.5.0-1.2.el7 ghc-haddock-library-1.1.1-2.el7 ghc-hashable-1.1.2.5-4.el7 ghc-hashed-storage-0.5.10-7.el7 ghc-hashtables-1.0.1.8-4.el7 ghc-haskeline-0.7.0.3-3.el7 ghc-haskell-src-exts-1.13.5-5.el7 ghc-highlighting-kate-0.5.6-3.el7 ghc-hinotify-0.3.5-4.el7 ghc-hint-0.4.2.0-3.el7 ghc-hs-bibutils-5.0-2.el7 ghc-hslogger-1.2.1-2.el7 ghc-hslua-0.3.10-1.1.el7 ghc-html-1.0.1.2-29.el7 ghc-http-date-0.0.4-2.el7 ghc-http-types-0.8.0-3.el7 ghc-json-0.7-4.el7 ghc-language-java-0.2.4-3.el7 ghc-libffi-0.1-3.el7 ghc-libxml-sax-0.7.4-3.el7 ghc-lifted-base-0.2.1.0-2.el7 ghc-lrucache-1.1.1.3-3.el7 ghc-maccatcher-2.1.5-2.el7 ghc-mime-types-0.1.0.4-2.el7 ghc-mmap-0.5.8-4.el7 ghc-monad-control-0.3.2.1-2.el7 ghc-monad-loops-0.4.2.1-2.el7 ghc-monad-unify-0.2.2-2.el7 ghc-monads-tf-0.1.0.2-2.el7 ghc-mtl-2.1.2-27.el7 ghc-nats-0.1.2-2.el7 ghc-network-2.4.1.2-32.el7 ghc-network-conduit-1.0.0-2.el7 ghc-optparse-applicative-0.11.0.1-4.el7 ghc-pandoc-types-1.12.3.1-3.el7 ghc-pango-0.12.5.0-2.el7 ghc-parallel-3.2.0.3-35.el7 ghc-parsec-3.1.3-31.el7 ghc-pattern-arrows-0.0.2-2.el7 ghc-pcre-light-0.4-13.el7 ghc-polyparse-1.11-2.el7 ghc-primitive-0.5.0.1-4.el7 ghc-publicsuffixlist-0.1-2.el7 ghc-random-1.0.1.1-27.el7 ghc-reflection-1.4-2.el7 ghc-regex-base-0.93.2-29.el7 ghc-regex-compat-0.95.1-35.el7 ghc-regex-posix-0.95.2-30.el7 ghc-regex-tdfa-1.1.8-11.el7 ghc-resourcet-0.4.6-2.el7 ghc-rfc5051-0.1.0.3-2.el7 ghc-rpm-macros-1.0.10-1.el7 ghc-safe-0.3.3-8.el7 ghc-scientific-0.2.0.2-2.el7 ghc-semigroups-0.8.5-3.el7 ghc-sendfile-0.7.9-1.el7 ghc-setenv-0.1.0-3.el7 ghc-shakespeare-1.0.5.1-2.el7 ghc-shakespeare-js-1.1.4.1-3.el7 ghc-shelly-1.5.0.1-2.el7 ghc-simple-sendfile-0.2.11-3.el7 ghc-split-0.2.2-2.el7 ghc-stm-2.4.2-26.el7 ghc-stm-chans-3.0.0.2-2.el7 ghc-streaming-commons-0.1.2-1.el7 ghc-syb-0.4.0-35.el7 ghc-system-fileio-0.3.11-2.el7 ghc-system-filepath-0.4.7-2.el7 ghc-tagged-0.6-2.el7 ghc-tagsoup-0.12.8-4.el7 ghc-tar-0.4.0.1-4.el7 ghc-temporary-1.1.2.4-4.el7 ghc-terminfo-0.3.2.5-4.el7 ghc-texmath-0.6.6-2.el7 ghc-text-0.11.3.1-2.el7 ghc-tf-random-0.5-4.el7 ghc-threads-0.5.1.1-1.el7 ghc-transformers-0.3.0.0-34.el7 ghc-transformers-base-0.4.1-9.el7 ghc-transformers-compat-0.3.3.4-3.el7 ghc-uniplate-1.6.10-5.el7 ghc-unix-compat-0.4.1.1-2.el7 ghc-unix-time-0.1.8-1.el7 ghc-unordered-containers-0.2.3.0-3.el7 ghc-utf8-string-0.3.7-8.el7 ghc-uuid-1.2.13-2.el7 ghc-vault-0.2.0.4-3.el7 ghc-vector-0.10.0.1-7.el7 ghc-vector-binary-instances-0.2.1.0-3.el7 ghc-void-0.5.11-3.el7 ghc-wai-1.4.0.1-2.el7 ghc-warp-1.3.8.2-1.el7 ghc-word8-0.0.4-2.el7 ghc-xdg-basedir-0.2.2-5.el7 ghc-xml-1.3.13-2.el7 ghc-xml-types-0.3.3-4.el7 ghc-xmonad-contrib-0.11.2-4.el7 ghc-yaml-0.8.5.3-2.el7 ghc-zip-archive-0.1.3.4-3.el7 ghc-zlib-0.5.4.1-27.el7 git-annex-5.20140221-1.2.el7 gtk2hs-buildtools-0.13.0.1-1.el7 happy-1.18.10-35.el7 haskell-platform-2013.2.0.0-40.el7 hlint-1.8.50-2.el7 hscolour-1.20.3-9.el7 idris-0.9.9.1-2.el7 pandoc-1.12.3.1-2.el7 pandoc-citeproc-0.3.0.1-3.el7 shake-0.11.4-4.el7 xmonad-0.11-12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25cbafa070

Comment 12 Fedora Update System 2016-12-28 00:20:07 UTC
alex-3.0.5-37.el7, cabal-dev-0.9.2-2.el7, cabal-install-1.16.1.0-2.el7, cabal-rpm-0.9.10-1.el7, cpphs-1.16-6.el7, darcs-2.8.4-4.el7, ghc-7.6.3-26.4.el7, ghc-Diff-0.3.0-3.el7, ghc-HTTP-4000.2.8-33.el7, ghc-HUnit-1.2.5.2-32.el7, ghc-IfElse-0.85-3.el7, ghc-JuicyPixels-3.2.2-2.el7, ghc-MissingH-1.2.0.0-4.el7, ghc-MonadCatchIO-transformers-0.3.0.0-7.el7, ghc-QuickCheck-2.6-33.el7, ghc-SHA-1.6.1-3.el7, ghc-STMonadTrans-0.3.2-2.el7, ghc-SafeSemaphore-0.9.0-2.el7, ghc-X11-1.6.1.1-3.el7, ghc-X11-xft-0.3.1-11.el7, ghc-aeson-0.6.2.1-3.el7, ghc-aeson-pretty-0.7.1-2.el7, ghc-ansi-terminal-0.6-3.el7, ghc-ansi-wl-pprint-0.6.7.1-3.el7, ghc-async-2.0.1.4-30.el7, ghc-attoparsec-0.10.4.0-2.el7, ghc-base-unicode-symbols-0.2.2.4-4.el7, ghc-base64-bytestring-1.0.0.1-3.el7, ghc-blaze-builder-0.3.1.1-2.el7, ghc-blaze-builder-conduit-1.0.0-2.el7, ghc-blaze-html-0.6.1.1-2.el7, ghc-blaze-markup-0.5.1.5-3.el7, ghc-bloomfilter-1.2.6.10-6.el7, ghc-boxes-0.1.4-2.el7, ghc-cairo-0.12.5.0-2.el7, ghc-case-insensitive-1.0.0.1-2.el7, ghc-cautious-file-1.0.2-3.el7, ghc-cereal-0.3.5.2-7.el7, ghc-cmdargs-0.10.3-4.el7, ghc-cmdtheline-0.2.3-2.el7, ghc-concrete-typerep-0.1.0.2-3.el7, ghc-conduit-1.0.3-2.el7, ghc-crypto-api-0.11-4.el7, ghc-cryptohash-0.9.0-3.el7, ghc-data-default-0.5.1-4.el7, ghc-data-hash-0.2.0.0-2.el7, ghc-dataenc-0.14.0.5-3.el7, ghc-date-cache-0.3.0-4.el7, ghc-dbus-0.10.7-3.el7, ghc-deepseq-generics-0.1.1.2-2.el7, ghc-derive-2.5.11-4.el7, ghc-digest-0.0.1.2-2.el7, ghc-dlist-0.5-11.el7, ghc-edit-distance-0.2.1.2-3.el7, ghc-entropy-0.2.2.4-2.el7, ghc-exceptions-0.6.1-2.el7, ghc-extensible-exceptions-0.1.1.4-13.el7, ghc-fast-logger-0.3.1-3.el7, ghc-filemanip-0.3.6.3-1.el7, ghc-fsnotify-0.0.11-1.el7, ghc-geniplate-0.6.0.3-3.el7, ghc-ghc-mtl-1.2.1.0-2.el7, ghc-ghc-paths-0.1.0.9-2.el7, ghc-gio-0.12.5.0-5.el7, ghc-glib-0.12.5.0-2.el7, ghc-gtk-0.12.5.0-1.2.el7, ghc-haddock-library-1.1.1-2.el7, ghc-happstack-server-7.1.0-2.el7, ghc-hashable-1.1.2.5-4.el7, ghc-hashed-storage-0.5.10-7.el7, ghc-hashtables-1.0.1.8-4.el7, ghc-haskeline-0.7.0.3-3.el7, ghc-haskell-src-exts-1.13.5-5.el7, ghc-highlighting-kate-0.5.6-3.el7, ghc-hinotify-0.3.5-4.el7, ghc-hint-0.4.2.0-3.el7, ghc-hs-bibutils-5.0-2.el7, ghc-hslogger-1.2.1-2.el7, ghc-hslua-0.3.10-1.1.el7, ghc-html-1.0.1.2-29.el7, ghc-http-date-0.0.4-2.el7, ghc-http-types-0.8.0-3.el7, ghc-json-0.7-4.el7, ghc-language-java-0.2.4-3.el7, ghc-libffi-0.1-3.el7, ghc-libxml-sax-0.7.4-3.el7, ghc-lifted-base-0.2.1.0-2.el7, ghc-lrucache-1.1.1.3-3.el7, ghc-maccatcher-2.1.5-2.el7, ghc-mime-types-0.1.0.4-2.el7, ghc-mmap-0.5.8-4.el7, ghc-monad-control-0.3.2.1-2.el7, ghc-monad-loops-0.4.2.1-2.el7, ghc-monad-unify-0.2.2-2.el7, ghc-monads-tf-0.1.0.2-2.el7, ghc-mtl-2.1.2-27.el7, ghc-nats-0.1.2-2.el7, ghc-network-2.4.1.2-32.el7, ghc-network-conduit-1.0.0-2.el7, ghc-optparse-applicative-0.11.0.1-4.el7, ghc-pandoc-types-1.12.3.1-3.el7, ghc-pango-0.12.5.0-2.el7, ghc-parallel-3.2.0.3-35.el7, ghc-parsec-3.1.3-31.el7, ghc-pattern-arrows-0.0.2-2.el7, ghc-pcre-light-0.4-13.el7, ghc-polyparse-1.11-2.el7, ghc-primitive-0.5.0.1-4.el7, ghc-publicsuffixlist-0.1-2.el7, ghc-random-1.0.1.1-27.el7, ghc-reflection-1.4-2.el7, ghc-regex-base-0.93.2-29.el7, ghc-regex-compat-0.95.1-35.el7, ghc-regex-posix-0.95.2-30.el7, ghc-regex-tdfa-1.1.8-11.el7, ghc-resourcet-0.4.6-2.el7, ghc-rfc5051-0.1.0.3-2.el7, ghc-rpm-macros-1.0.10-1.el7, ghc-safe-0.3.3-8.el7, ghc-scientific-0.2.0.2-2.el7, ghc-semigroups-0.8.5-3.el7, ghc-sendfile-0.7.9-1.el7, ghc-setenv-0.1.0-3.el7, ghc-shakespeare-1.0.5.1-2.el7, ghc-shakespeare-js-1.1.4.1-3.el7, ghc-shelly-1.5.0.1-2.el7, ghc-simple-sendfile-0.2.11-3.el7, ghc-split-0.2.2-2.el7, ghc-stm-2.4.2-26.el7, ghc-stm-chans-3.0.0.2-2.el7, ghc-streaming-commons-0.1.2-1.el7, ghc-syb-0.4.0-35.el7, ghc-system-fileio-0.3.11-2.el7, ghc-system-filepath-0.4.7-2.el7, ghc-tagged-0.6-2.el7, ghc-tagsoup-0.12.8-4.el7, ghc-tar-0.4.0.1-4.el7, ghc-temporary-1.1.2.4-4.el7, ghc-terminfo-0.3.2.5-4.el7, ghc-texmath-0.6.6-2.el7, ghc-text-0.11.3.1-2.el7, ghc-tf-random-0.5-4.el7, ghc-threads-0.5.1.1-1.el7, ghc-transformers-0.3.0.0-34.el7, ghc-transformers-base-0.4.1-9.el7, ghc-transformers-compat-0.3.3.4-3.el7, ghc-uniplate-1.6.10-5.el7, ghc-unix-compat-0.4.1.1-2.el7, ghc-unix-time-0.1.8-1.el7, ghc-unordered-containers-0.2.3.0-3.el7, ghc-utf8-string-0.3.7-8.el7, ghc-uuid-1.2.13-2.el7, ghc-vault-0.2.0.4-3.el7, ghc-vector-0.10.0.1-7.el7, ghc-vector-binary-instances-0.2.1.0-3.el7, ghc-void-0.5.11-3.el7, ghc-wai-1.4.0.1-2.el7, ghc-warp-1.3.8.2-1.el7, ghc-word8-0.0.4-2.el7, ghc-xdg-basedir-0.2.2-5.el7, ghc-xml-1.3.13-2.el7, ghc-xml-types-0.3.3-4.el7, ghc-xmonad-contrib-0.11.2-4.el7, ghc-yaml-0.8.5.3-2.el7, ghc-zip-archive-0.1.3.4-3.el7, ghc-zlib-0.5.4.1-27.el7, git-annex-5.20140221-1.2.el7, gtk2hs-buildtools-0.13.0.1-1.el7, happy-1.18.10-35.el7, haskell-platform-2013.2.0.0-40.el7, hlint-1.8.50-2.el7, hscolour-1.20.3-9.el7, idris-0.9.9.1-2.el7, pandoc-1.12.3.1-2.el7, pandoc-citeproc-0.3.0.1-3.el7, shake-0.11.4-4.el7, xmonad-0.11-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25cbafa070

Comment 13 Fedora Update System 2017-01-12 03:19:47 UTC
alex-3.0.5-37.el7, cabal-dev-0.9.2-2.el7, cabal-install-1.16.1.0-2.el7, cabal-rpm-0.9.10-1.el7, cpphs-1.16-6.el7, darcs-2.8.4-4.el7, ghc-7.6.3-26.4.el7, ghc-Diff-0.3.0-3.el7, ghc-HTTP-4000.2.8-33.el7, ghc-HUnit-1.2.5.2-32.el7, ghc-IfElse-0.85-3.el7, ghc-JuicyPixels-3.2.2-2.el7, ghc-MissingH-1.2.0.0-4.el7, ghc-MonadCatchIO-transformers-0.3.0.0-7.el7, ghc-QuickCheck-2.6-33.el7, ghc-SHA-1.6.1-3.el7, ghc-STMonadTrans-0.3.2-2.el7, ghc-SafeSemaphore-0.9.0-2.el7, ghc-X11-1.6.1.1-3.el7, ghc-X11-xft-0.3.1-11.el7, ghc-aeson-0.6.2.1-3.el7, ghc-aeson-pretty-0.7.1-2.el7, ghc-ansi-terminal-0.6-3.el7, ghc-ansi-wl-pprint-0.6.7.1-3.el7, ghc-async-2.0.1.4-30.el7, ghc-attoparsec-0.10.4.0-2.el7, ghc-base-unicode-symbols-0.2.2.4-4.el7, ghc-base64-bytestring-1.0.0.1-3.el7, ghc-blaze-builder-0.3.1.1-2.el7, ghc-blaze-builder-conduit-1.0.0-2.el7, ghc-blaze-html-0.6.1.1-2.el7, ghc-blaze-markup-0.5.1.5-3.el7, ghc-bloomfilter-1.2.6.10-6.el7, ghc-boxes-0.1.4-2.el7, ghc-cairo-0.12.5.0-2.el7, ghc-case-insensitive-1.0.0.1-2.el7, ghc-cautious-file-1.0.2-3.el7, ghc-cereal-0.3.5.2-7.el7, ghc-cmdargs-0.10.3-4.el7, ghc-cmdtheline-0.2.3-2.el7, ghc-concrete-typerep-0.1.0.2-3.el7, ghc-conduit-1.0.3-2.el7, ghc-crypto-api-0.11-4.el7, ghc-cryptohash-0.9.0-3.el7, ghc-data-default-0.5.1-4.el7, ghc-data-hash-0.2.0.0-2.el7, ghc-dataenc-0.14.0.5-3.el7, ghc-date-cache-0.3.0-4.el7, ghc-dbus-0.10.7-3.el7, ghc-deepseq-generics-0.1.1.2-2.el7, ghc-derive-2.5.11-4.el7, ghc-digest-0.0.1.2-2.el7, ghc-dlist-0.5-11.el7, ghc-edit-distance-0.2.1.2-3.el7, ghc-entropy-0.2.2.4-2.el7, ghc-exceptions-0.6.1-2.el7, ghc-extensible-exceptions-0.1.1.4-13.el7, ghc-fast-logger-0.3.1-3.el7, ghc-filemanip-0.3.6.3-1.el7, ghc-fsnotify-0.0.11-1.el7, ghc-geniplate-0.6.0.3-3.el7, ghc-ghc-mtl-1.2.1.0-2.el7, ghc-ghc-paths-0.1.0.9-2.el7, ghc-gio-0.12.5.0-5.el7, ghc-glib-0.12.5.0-2.el7, ghc-gtk-0.12.5.0-1.2.el7, ghc-haddock-library-1.1.1-2.el7, ghc-happstack-server-7.1.0-2.el7, ghc-hashable-1.1.2.5-4.el7, ghc-hashed-storage-0.5.10-7.el7, ghc-hashtables-1.0.1.8-4.el7, ghc-haskeline-0.7.0.3-3.el7, ghc-haskell-src-exts-1.13.5-5.el7, ghc-highlighting-kate-0.5.6-3.el7, ghc-hinotify-0.3.5-4.el7, ghc-hint-0.4.2.0-3.el7, ghc-hs-bibutils-5.0-2.el7, ghc-hslogger-1.2.1-2.el7, ghc-hslua-0.3.10-1.1.el7, ghc-html-1.0.1.2-29.el7, ghc-http-date-0.0.4-2.el7, ghc-http-types-0.8.0-3.el7, ghc-json-0.7-4.el7, ghc-language-java-0.2.4-3.el7, ghc-libffi-0.1-3.el7, ghc-libxml-sax-0.7.4-3.el7, ghc-lifted-base-0.2.1.0-2.el7, ghc-lrucache-1.1.1.3-3.el7, ghc-maccatcher-2.1.5-2.el7, ghc-mime-types-0.1.0.4-2.el7, ghc-mmap-0.5.8-4.el7, ghc-monad-control-0.3.2.1-2.el7, ghc-monad-loops-0.4.2.1-2.el7, ghc-monad-unify-0.2.2-2.el7, ghc-monads-tf-0.1.0.2-2.el7, ghc-mtl-2.1.2-27.el7, ghc-nats-0.1.2-2.el7, ghc-network-2.4.1.2-32.el7, ghc-network-conduit-1.0.0-2.el7, ghc-optparse-applicative-0.11.0.1-4.el7, ghc-pandoc-types-1.12.3.1-3.el7, ghc-pango-0.12.5.0-2.el7, ghc-parallel-3.2.0.3-35.el7, ghc-parsec-3.1.3-31.el7, ghc-pattern-arrows-0.0.2-2.el7, ghc-pcre-light-0.4-13.el7, ghc-polyparse-1.11-2.el7, ghc-primitive-0.5.0.1-4.el7, ghc-publicsuffixlist-0.1-2.el7, ghc-random-1.0.1.1-27.el7, ghc-reflection-1.4-2.el7, ghc-regex-base-0.93.2-29.el7, ghc-regex-compat-0.95.1-35.el7, ghc-regex-posix-0.95.2-30.el7, ghc-regex-tdfa-1.1.8-11.el7, ghc-resourcet-0.4.6-2.el7, ghc-rfc5051-0.1.0.3-2.el7, ghc-rpm-macros-1.0.10-1.el7, ghc-safe-0.3.3-8.el7, ghc-scientific-0.2.0.2-2.el7, ghc-semigroups-0.8.5-3.el7, ghc-sendfile-0.7.9-1.el7, ghc-setenv-0.1.0-3.el7, ghc-shakespeare-1.0.5.1-2.el7, ghc-shakespeare-js-1.1.4.1-3.el7, ghc-shelly-1.5.0.1-2.el7, ghc-simple-sendfile-0.2.11-3.el7, ghc-split-0.2.2-2.el7, ghc-stm-2.4.2-26.el7, ghc-stm-chans-3.0.0.2-2.el7, ghc-streaming-commons-0.1.2-1.el7, ghc-syb-0.4.0-35.el7, ghc-system-fileio-0.3.11-2.el7, ghc-system-filepath-0.4.7-2.el7, ghc-tagged-0.6-2.el7, ghc-tagsoup-0.12.8-4.el7, ghc-tar-0.4.0.1-4.el7, ghc-temporary-1.1.2.4-4.el7, ghc-terminfo-0.3.2.5-4.el7, ghc-texmath-0.6.6-2.el7, ghc-text-0.11.3.1-2.el7, ghc-tf-random-0.5-4.el7, ghc-threads-0.5.1.1-1.el7, ghc-transformers-0.3.0.0-34.el7, ghc-transformers-base-0.4.1-9.el7, ghc-transformers-compat-0.3.3.4-3.el7, ghc-uniplate-1.6.10-5.el7, ghc-unix-compat-0.4.1.1-2.el7, ghc-unix-time-0.1.8-1.el7, ghc-unordered-containers-0.2.3.0-3.el7, ghc-utf8-string-0.3.7-8.el7, ghc-uuid-1.2.13-2.el7, ghc-vault-0.2.0.4-3.el7, ghc-vector-0.10.0.1-7.el7, ghc-vector-binary-instances-0.2.1.0-3.el7, ghc-void-0.5.11-3.el7, ghc-wai-1.4.0.1-2.el7, ghc-warp-1.3.8.2-1.el7, ghc-word8-0.0.4-2.el7, ghc-xdg-basedir-0.2.2-5.el7, ghc-xml-1.3.13-2.el7, ghc-xml-types-0.3.3-4.el7, ghc-xmonad-contrib-0.11.2-4.el7, ghc-yaml-0.8.5.3-2.el7, ghc-zip-archive-0.1.3.4-3.el7, ghc-zlib-0.5.4.1-27.el7, git-annex-5.20140221-1.2.el7, gtk2hs-buildtools-0.13.0.1-1.el7, happy-1.18.10-35.el7, haskell-platform-2013.2.0.0-40.el7, hlint-1.8.50-2.el7, hscolour-1.20.3-9.el7, idris-0.9.9.1-2.el7, pandoc-1.12.3.1-2.el7, pandoc-citeproc-0.3.0.1-3.el7, shake-0.11.4-4.el7, xmonad-0.11-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.